libcdr::CDRColor Struct Reference

`#include <CDRTypes.h>`

## Public Member Functions

| CDRColor (unsigned short colorModel, unsigned short colorPalette, unsigned colorValue)
| CDRColor ()
| CDRColor (unsigned short colorModel, unsigned colorValue)

## Public Attributes

unsigned short | m_colorModel
unsigned short | m_colorPalette
unsigned | m_colorValue

## Constructor & Destructor Documentation

## CDRColor() [1/3]

libcdr::CDRColor::CDRColor | ( | unsigned short | colorModel,
|  | unsigned short | colorPalette,
|  | unsigned | colorValue )

inline

## CDRColor() [2/3]

libcdr::CDRColor::CDRColor | ( |  | ) |

inline

## CDRColor() [3/3]

libcdr::CDRColor::CDRColor | ( | unsigned short | colorModel,
|  | unsigned | colorValue )

inline

## Member Data Documentation

## m_colorModel

unsigned short libcdr::CDRColor::m_colorModel

Referenced by libcdr::CDRParserState::_getRGBColor(), libcdr::CDRParser::_resolveColorPalette(), CDRColor(), CDRColor(), CDRColor(), libcdr::CDRParserState::getBMPColor(), libcdr::CDRParser::readColor(), and libcdr::CMXParser::readColor().

## m_colorPalette

unsigned short libcdr::CDRColor::m_colorPalette

Referenced by libcdr::CDRParser::_resolveColorPalette(), CDRColor(), CDRColor(), CDRColor(), and libcdr::CDRParser::readColor().

## m_colorValue

unsigned libcdr::CDRColor::m_colorValue

Referenced by libcdr::CDRParserState::_getRGBColor(), libcdr::CDRParser::_resolveColorPalette(), CDRColor(), CDRColor(), CDRColor(), libcdr::CDRParserState::getBMPColor(), libcdr::CDRParser::readColor(), and libcdr::CMXParser::readColor().

The documentation for this struct was generated from the following file:

- CDRTypes.h